# Apache License, Version 2.0

# These must be all lower case for comparisons.

# Custom dictionary.
dict_custom = {
    # Correct spelling.
    "adaptively",
    "adjoint",
    "adjugate",
    "allocator",
    "analytics",
    "atomicity",
    "boolean",
    "decrement",
    "decrementing",
    "desaturate",
    "enqueue",
    "entrywise",
    "equiangular",
    "instantiation",
    "iterable",
    "merchantability",
    "natively",
    "parallelization",
    "parallelized",
    "passepartout",
    "precalculate",
    "prepend",
    "probabilistically",
    "recurse",
    "screencast",
    "selectability",
    "stylization",
    "subclass",
    "subclasses",
    "subclassing",
    "subdirectory",
    "unregister",
    "unselected",
    "variadic",

    # Accepted abbreviations.
    "autocomplete",
    "config",
    "coord",
    "coords",
    "keyframe",
    "keyframing",
    "lookup",
    "lookups",
    "multi",
    "multithreading",
    "tooltip",

    # General computer terms.
    "app",
    "autorepeat",
    "boids",
    "booleans",
    "bytecode",
    "codepage",
    "contructor",
    "decimator",
    "diff",
    "diffs",
    "discoverability",
    "endian",
    "env",
    "euler",
    "eulers",
    "hashable",
    "http",
    "jitter",
    "jittering",
    "keymap",
    "lerp",
    "metadata",
    "opengl",
    "preprocessor",
    "quantized",
    "searchable",
    "segfault",
    "stdin",
    "stdin",
    "stdout",
    "substring",
    "sudo",
    "touchpad",
    "touchpads",
    "trackpad",
    "trackpads",
    "unicode",
    "url",
    "vert",
    "verts",
    "volumetric",
    "voxel",
    "voxels",
    "wiki",

    # General computer graphics terms.
    "animatic",
    "atomics",
    "autofocus",
    "backface",
    "barycentric",
    "bezier",
    "bézier",
    "bicubic",
    "bokeh",
    "bsdf",
    "centroid",
    "colinear",
    "compositing",
    "coplanar",
    "deinterlace",
    "denoise",
    "emissive",
    "fresnel",
    "kerning",
    "lacunarity",
    "mip-map",
    "multisample",
    "multisampled",
    "multisampling",
    "multiresolution",
    "musgrave",
    "ngon",
    "ngons",
    "normals",
    "nurbs",
    "octree",
    "perlin",
    "phong",
    "quadriflow",
    "quaternions",
    "radiosity",
    "rasterization",
    "reflectance",
    "reproject",
    "resample",
    "shader",
    "shaders",
    "specular",
    "specularity",
    "uber",

    # Specific computer terms/brands.
    "autocad",
    "autodesk",
    "cinema4d",
    "cineon",
    "collada",
    "cuda",
    "ffmpeg",
    "intel",
    "macos",
    "nvidia",
    "openal",
    "openbabel",
    "opencl",
    "opencolorio",
    "opencv",
    "openexr",
    "openimagedenoise",
    "openshading",
    "opensim",
    "openstreetmap",
    "opensubdiv",
    "opentype",
    "openvdb",
    "openvdb-file",
    "openxr",
    "optix",
    "pixar",
    "postscript",
    "pov-ray",
    "pulseaudio",
    "redhat",
    "renderman",
    "sgi",
    "unix",
    "xinerama",

    # Blender specific terms
    "matcap",
    "matcaps",

    # should have apostrophe but ignore for now
    # unless we want to get really picky!
    "indices",
    "vertices",
}

# Incorrect spelling but ignore anyway.
dict_ignore = {
    "a-z",
    "arg",
    "args",
    "bool",
    "dirpath",
    "dof",
    "dupli",
    "eg",
    "filename",
    "filenames",
    "filepath",
    "filepaths",
    "loc",
    "node-trees",
    "quad",
    "readonly",
    "submodule",
    "submodules",
    "tri",
    "ui",
    "uv",
    "vec",
    "x-axis",
    "y-axis",
    "z-axis",

    # Acronyms.
    "api",
    "bvh",
    "cpu",
    "gl",
    "gpl",
    "gpu",
    "ik",
    "lhs",
    "lut",
    "nla",
    "ntsc",
    "rgb",
    "rhs",
    "smpte",
    "tcp",
    "rgb",
    "rgba",

    # File formats.
    "fbx",
    "svg",
    "png",
    "exr",

    # Names.
    "Dalai",
    "Goralczyk",
    "Roosendaal",
}
